#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export DH_VERBOSE = 1

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_MARBLE_APPS=YES \
		-DBUILD_MARBLE_TESTS=NO \
		-DBUILD_MARBLE_TOOLS=YES \
		-DBUILD_MARBLE_EXAMPLES=YES \
		-DBUILD_QT_AND_KDE=ON \
		-DBUILD_TOUCH=ON \
		-DMOBILE=ON \
		-DWITH_DESIGNER_PLUGIN=YES
